pro choose_sfc,term=term,syn=syn

;+
; NAME
;	choose_sfc
; PURPOSE
;	Toggle the environmental variable sxt_syn_sfc to cause use 
;	of Terminator or Synthetic leak (SFC) images for correction
;	of SXT images.
; CALLING SEQUENCE
;	choose_sfc,term=term,syn=syn
; KEYWORD INPUT
;	/term, use Terminator SFCs.  (default)
;	/syn,  use Synthetic SFCs.
; HISTORY
;	10-Nov-2004 LWA  Added header.
;-

if keyword_set(term) and keyword_set(syn) then begin
   print,'  It is invalid to choose BOTH Terminator and Synthetic SFCs'
   return
endif

;      ----------------- Use standard SFCs ---------- 
if keyword_set(term) or NOT keyword_set(syn) then $
	set_logenv,'sxt_syn_sfc',''

;       --------------- Use synthetic SFCs ---------
if keyword_set(syn) then $
	set_logenv,'sxt_syn_sfc','1'

end
